Class TeamController

java.lang.Object
org.apache.clusterbr.zupportl5.controller.TeamController

@RestController @RequestMapping("/api/teams") public class TeamController extends Object

REST-API Endpoints --

  • GET /api/teams/{id}: Returns data from the API
  • PUT /api/teams/{id}: Updates an entry by ID
  • DELETE /api/teams/{id}: Deletes an entry by ID

UML Diagrams:

UML CLASS Diagram

UML USECASE Diagram

UML SEQ Diagram

UML ACTIVITY Diagram

Since:
2024-1108
Author:
arcbrth@gmail.com
  • Constructor Details

    • TeamController

      @Autowired public TeamController(TeamService service)
  • Method Details

    • getAll

      @GetMapping public List<Team> getAll()
    • getById

      @GetMapping("/{id}") public org.springframework.http.ResponseEntity<Team> getById(@PathVariable Integer id)
    • create

      @PostMapping public org.springframework.http.ResponseEntity<Team> create(@RequestBody Team item)
    • update

      @PutMapping("/{id}") public org.springframework.http.ResponseEntity<Team> update(@PathVariable Integer id, @RequestBody Team updatedTeam)
    • delete

      @DeleteMapping("/{id}") public org.springframework.http.ResponseEntity<Void> delete(@PathVariable Integer id)